Modifiers

Add, edit, and delete anything related to modifiers.

Modifier

modifier_id
integer

The unique modifier ID in the WP EasyCart.

modifier_name
string

The internal name for this modifier set

modifier_label
string

The customer facing label for this modifier.

modifier_type
string

The type and can be combo, swatch, text, textarea, number, file, radio, checkbox, grid, date, dimensions1, or dimensions2.

object (ModifierMeta)
Array of objects (ModifierItemArray)
is_required
boolean

Is this modifier set required

error_message
string

The message shown to the customer when the modifier is not yet selected.

square_id
string

The SquareUp internal ID that this item connects to, if applicable.

{
  • "modifier_id": 0,
  • "modifier_name": "string",
  • "modifier_label": "string",
  • "modifier_type": "string",
  • "modifier_meta": {
    },
  • "modifier_items": [
    ],
  • "is_required": true,
  • "error_message": "string",
  • "square_id": "string"
}

ModifierItem

optionitem_id
integer

The unique ID for this modifier item in the WP EasyCart system.

option_id
integer

The unique ID for the modifier set this item connects.

item_name
string

The label for this modifier item.

sort_order
integer

The sort order for this modifier item.

sku_extension
string

This will extend the product SKU when modifier item is selected.

swatch_icon
string

Add a custom swatch icon, if this modifier item is a swatch.

default_selected
boolean

If this is a modifier item in a list of items, true will make this the initially selected item.

default_value
string

If this is a single modifier item like a text, text area, number, etc... This is the default value.

object (ModifierAdjustment)
object (ModifierAdjustment)
enable_custom_price_label
boolean

True will enable the custom_price_label to show in place of the price adjustment

custom_price_label
string

The custom price label used if enabled.

download_allowed
boolean

This item may disable the product download, if false.

download_override_file
string

You may override the product download with this file, should be a URL.

download_additional_file
string

You may add an additional file to a product download when this option is selected, should be a URL.

block_shipping
boolean

If true, the product is no longer shippable.

square_id
string

The unique SquareUp ID used when connecting your store to Square.

stripe_plan_id
string

The unique ID for Stripe when you use this with a subscription.

{
  • "optionitem_id": 0,
  • "option_id": 0,
  • "item_name": "string",
  • "sort_order": 0,
  • "sku_extension": "string",
  • "swatch_icon": "string",
  • "default_selected": true,
  • "default_value": "string",
  • "price_adjustment": {
    },
  • "weight_adjustment": {
    },
  • "enable_custom_price_label": true,
  • "custom_price_label": "string",
  • "download_allowed": true,
  • "download_override_file": "string",
  • "download_additional_file": "string",
  • "block_shipping": true,
  • "square_id": "string",
  • "stripe_plan_id": "string"
}

Gets a list of modifiers

This allows you to get a list of modifiers

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter modifiers by a search term

Responses
200

Successful operation

400

Unauthorized

get/modifiers
Request samples
Response samples
application/json
[
  • {
    }
]

Add a modifier

This allows you to add a new modifier

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new modifier.

modifier_name
required
string

The internal name for this modifier set

modifier_label
string

The customer facing label for this modifier.

modifier_type
required
string

The type and can be combo, swatch, text, textarea, number, file, radio, checkbox, grid, date, dimensions1, or dimensions2.

object (ModifierMeta)
Array of objects (ModifierItemAddArray)
is_required
boolean

Is this modifier set required

error_message
string

The message shown to the customer when the modifier is not yet selected.

square_id
string

The SquareUp internal ID that this item connects to, if applicable.

Responses
200

Successful operation

400

Unauthorized

post/modifiers
Request samples
application/json
{
  • "modifier_name": "string",
  • "modifier_label": "string",
  • "modifier_type": "string",
  • "modifier_meta": {
    },
  • "modifier_items": [
    ],
  • "is_required": true,
  • "error_message": "string",
  • "square_id": "string"
}
Response samples
application/json
{
  • "modifier_id": 0,
  • "modifier_name": "string",
  • "modifier_label": "string",
  • "modifier_type": "string",
  • "modifier_meta": {
    },
  • "modifier_items": [
    ],
  • "is_required": true,
  • "error_message": "string",
  • "square_id": "string"
}

Gets a modifier by ID

This allows you to get a modifier from your store by modifier ID

SecuritybearerAuth or basicAuth
Request
path Parameters
modifier_id
required
integer <int64>

Modifier ID

Responses
200

Successful operation

400

Unauthorized

get/modifiers/{modifier_id}
Request samples
Response samples
application/json
{
  • "modifier_id": 0,
  • "modifier_name": "string",
  • "modifier_label": "string",
  • "modifier_type": "string",
  • "modifier_meta": {
    },
  • "modifier_items": [
    ],
  • "is_required": true,
  • "error_message": "string",
  • "square_id": "string"
}

Updates a modifier by ID

This allows you to update a modifier

SecuritybearerAuth
Request
path Parameters
modifier_id
required
integer <int64>

Modifier ID

Request Body schema: application/json
required

Submit any or all elements to update the modifier.

modifier_name
string

The internal name for this modifier set

modifier_label
string

The customer facing label for this modifier.

modifier_type
string

The type and can be combo, swatch, text, textarea, number, file, radio, checkbox, grid, date, dimensions1, or dimensions2.

object (ModifierMeta)
Array of objects (ModifierItemUpdateArray)
is_required
boolean

Is this modifier set required

error_message
string

The message shown to the customer when the modifier is not yet selected.

square_id
string

The SquareUp internal ID that this item connects to, if applicable.

Responses
200

Successful operation

400

Unauthorized

patch/modifiers/{modifier_id}
Request samples
application/json
{
  • "modifier_name": "string",
  • "modifier_label": "string",
  • "modifier_type": "string",
  • "modifier_meta": {
    },
  • "modifier_items": [
    ],
  • "is_required": true,
  • "error_message": "string",
  • "square_id": "string"
}
Response samples
application/json
{
  • "modifier_id": 0,
  • "modifier_name": "string",
  • "modifier_label": "string",
  • "modifier_type": "string",
  • "modifier_meta": {
    },
  • "modifier_items": [
    ],
  • "is_required": true,
  • "error_message": "string",
  • "square_id": "string"
}

Deletes a modifier by ID

This allows you to delete a modifier from your store

SecuritybearerAuth
Request
path Parameters
modifier_id
required
integer <int64>

Modifier ID

Responses
200

Successful operation

400

Unauthorized

delete/modifiers/{modifier_id}
Request samples
Response samples
application/json
{
  • "modifier_id": 0,
  • "modifier_name": "string",
  • "modifier_label": "string",
  • "modifier_type": "string",
  • "modifier_meta": {
    },
  • "modifier_items": [
    ],
  • "is_required": true,
  • "error_message": "string",
  • "square_id": "string"
}

Gets list of modifier items by modifier ID

This allows you to get a list of modifier items from your store by modifier ID

SecuritybearerAuth or basicAuth
Request
path Parameters
modifier_id
required
integer <int64>

Modifier ID

Responses
200

Successful operation

400

Unauthorized

get/modifiers/{modifier_id}/items
Request samples
Response samples
application/json
[
  • {
    }
]

Gets a modifier item

This allows you to get a modifier item by ID

SecuritybearerAuth or basicAuth
Request
path Parameters
modifier_id
required
integer <int64>

Modifier ID

modifier_item_id
required
integer <int64>

Modifier Item ID

Responses
200

Successful operation

400

Unauthorized

get/modifiers/{modifier_id}/items/{modifier_item_id}
Request samples
Response samples
application/json
{
  • "optionitem_id": 0,
  • "option_id": 0,
  • "item_name": "string",
  • "sort_order": 0,
  • "sku_extension": "string",
  • "swatch_icon": "string",
  • "default_selected": true,
  • "default_value": "string",
  • "price_adjustment": {
    },
  • "weight_adjustment": {
    },
  • "enable_custom_price_label": true,
  • "custom_price_label": "string",
  • "download_allowed": true,
  • "download_override_file": "string",
  • "download_additional_file": "string",
  • "block_shipping": true,
  • "square_id": "string",
  • "stripe_plan_id": "string"
}

Updates a modifier item by ID

This allows you to update modifier items

SecuritybearerAuth
Request
path Parameters
modifier_id
required
integer <int64>

Modifier ID

modifier_item_id
required
integer <int64>

Modifier Item ID

Request Body schema: application/json
required

Submit any or all elements to update the modifier item.

option_id
integer

The unique ID for the modifier set this item connects. If adding a new modifier, do not include this.

item_name
string

The label for this modifier item.

sort_order
integer

The sort order for this modifier item.

sku_extension
string

This will extend the product SKU when modifier item is selected.

swatch_icon
string

Add a custom swatch icon, if this modifier item is a swatch.

default_selected
boolean

If this is a modifier item in a list of items, true will make this the initially selected item.

default_value
string

If this is a single modifier item like a text, text area, number, etc... This is the default value.

object (ModifierAdjustment)
object (ModifierAdjustment)
enable_custom_price_label
boolean

True will enable the custom_price_label to show in place of the price adjustment

custom_price_label
string

The custom price label used if enabled.

download_allowed
boolean

This item may disable the product download, if false.

download_override_file
string

You may override the product download with this file, should be a URL.

download_additional_file
string

You may add an additional file to a product download when this option is selected, should be a URL.

block_shipping
boolean

If true, the product is no longer shippable.

square_id
string

The unique SquareUp ID used when connecting your store to Square.

stripe_plan_id
string

The unique ID for Stripe when you use this with a subscription.

Responses
200

Successful operation

400

Unauthorized

patch/modifiers/{modifier_id}/items/{modifier_item_id}
Request samples
application/json
{
  • "option_id": 0,
  • "item_name": "string",
  • "sort_order": 0,
  • "sku_extension": "string",
  • "swatch_icon": "string",
  • "default_selected": true,
  • "default_value": "string",
  • "price_adjustment": {
    },
  • "weight_adjustment": {
    },
  • "enable_custom_price_label": true,
  • "custom_price_label": "string",
  • "download_allowed": true,
  • "download_override_file": "string",
  • "download_additional_file": "string",
  • "block_shipping": true,
  • "square_id": "string",
  • "stripe_plan_id": "string"
}
Response samples
application/json
{
  • "optionitem_id": 0,
  • "option_id": 0,
  • "item_name": "string",
  • "sort_order": 0,
  • "sku_extension": "string",
  • "swatch_icon": "string",
  • "default_selected": true,
  • "default_value": "string",
  • "price_adjustment": {
    },
  • "weight_adjustment": {
    },
  • "enable_custom_price_label": true,
  • "custom_price_label": "string",
  • "download_allowed": true,
  • "download_override_file": "string",
  • "download_additional_file": "string",
  • "block_shipping": true,
  • "square_id": "string",
  • "stripe_plan_id": "string"
}

Deletes a modifier item by ID

This allows you to delete a modifier item from your store

SecuritybearerAuth
Request
path Parameters
modifier_id
required
integer <int64>

Modifier ID

modifier_item_id
required
integer <int64>

Modifier Item ID

Responses
200

Successful operation

400

Unauthorized

delete/modifiers/{modifier_id}/items/{modifier_item_id}
Request samples
Response samples
application/json
{
  • "optionitem_id": 0,
  • "option_id": 0,
  • "item_name": "string",
  • "sort_order": 0,
  • "sku_extension": "string",
  • "swatch_icon": "string",
  • "default_selected": true,
  • "default_value": "string",
  • "price_adjustment": {
    },
  • "weight_adjustment": {
    },
  • "enable_custom_price_label": true,
  • "custom_price_label": "string",
  • "download_allowed": true,
  • "download_override_file": "string",
  • "download_additional_file": "string",
  • "block_shipping": true,
  • "square_id": "string",
  • "stripe_plan_id": "string"
}